org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.DeleteReplica

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CollectionAdminResponse>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<T>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest<T>
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAsyncAdminRequest<CollectionAdminRequest.DeleteReplica>
        - - org.apache.solr.client.solrj.request.CollectionAdminRequest.DeleteReplica

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest<Q extends CollectionAdminRequest<Q>>

    public static class CollectionAdminRequest.DeleteReplica
    extends CollectionAdminRequest.CollectionShardAsyncAdminRequest<CollectionAdminRequest.DeleteReplica>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionShardAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionShardAsyncAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionSpecificAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionSpecificAsyncAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected Boolean` `onlyIfDown`
`protected String` `replica`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAsyncAdminRequest

`asyncId`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest

`collection, shardName`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Constructor Summary

Constructors
Constructor and Description
`DeleteReplica()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Boolean` `getDeleteDataDir()`
`Boolean` `getDeleteInstanceDir()`
`Boolean` `getOnlyIfDown()`
`SolrParams` `getParams()`
`String` `getReplica()`
`protected CollectionAdminRequest.DeleteReplica` `getThis()`
`CollectionAdminRequest.DeleteReplica` `setDeleteDataDir(Boolean deleteDataDir)`
`CollectionAdminRequest.DeleteReplica` `setDeleteInstanceDir(Boolean deleteInstanceDir)`
`CollectionAdminRequest.DeleteReplica` `setOnlyIfDown(boolean onlyIfDown)`
`CollectionAdminRequest.DeleteReplica` `setReplica(String replica)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAsyncAdminRequest

`getAsyncId, setAsyncId`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest

`getCollectionName, getShardName, setCollectionName, setShardName`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, createResponse, getContentStreams, setAction`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### replica

    protected String replica

#### onlyIfDown

    protected Boolean onlyIfDown

### Constructor Detail

#### DeleteReplica

    public DeleteReplica()

### Method Detail

#### setReplica

    public CollectionAdminRequest.DeleteReplica setReplica(String replica)

#### getReplica

    public String getReplica()

#### setOnlyIfDown

    public CollectionAdminRequest.DeleteReplica setOnlyIfDown(boolean onlyIfDown)

#### getOnlyIfDown

    public Boolean getOnlyIfDown()

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest.CollectionShardAsyncAdminRequest<CollectionAdminRequest.DeleteReplica>`

#### getThis

    protected CollectionAdminRequest.DeleteReplica getThis()

Specified by:
  `getThis` in class `CollectionAdminRequest<CollectionAdminRequest.DeleteReplica>`

#### getDeleteDataDir

    public Boolean getDeleteDataDir()

#### setDeleteDataDir

    public CollectionAdminRequest.DeleteReplica setDeleteDataDir(Boolean deleteDataDir)

#### getDeleteInstanceDir

    public Boolean getDeleteInstanceDir()

#### setDeleteInstanceDir

    public CollectionAdminRequest.DeleteReplica setDeleteInstanceDir(Boolean deleteInstanceDir)